Overview | File | Class | Tree | Index | Help
| Jala 1.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class jala.Mp3.Id3v1

    Object
       |
       +--jala.Mp3.Id3v1

class jala.Mp3.Id3v1

This class represents an Id3v1 tag.
Defined in Mp3.js

Constructor Summary
`jala.Mp3.Id3v1 (audioObj)` Constructs a new Id3v1 tag from an Mp3 file

Method Summary
`void` | `copyFrom(tag)` Copies standard fields from another tag.
`String` | `getAlbum()` Returns the album information of the tag.
`String` | `getArtist()` Returns the artist information of the tag.
`jala.Mp3` | `getAudio()` Returns the wrapper for the underlying audio file.
`String` | `getComment()` Returns the comment information of the tag.
`String` | `getGenre()` Returns the genre information of the tag.
`org.farng.mp3.id3.AbstractID3v1` | `getJavaObject()` Returns the java representation of the tag, class depends on the actual library used.
`Object` | `getTextContent(<String> id)` This method could be used to retrieve an arbitrary field of the underlying tag.
`String` | `getTitle()` Returns the title information of the tag.
`String` | `getTrackNumber()` Returns the track number information of the tag.
`String` | `getYear()` Returns the year information of the tag.
`void` | `setAlbum(<String> album)` Sets the album information.
`void` | `setArtist(<String> artist)` Sets the artist information.
`void` | `setComment(<String> comment)` Sets the comment
`void` | `setGenre(<String> genre)` Sets the genre information.
`void` | `setTextContent(<String> id, val)` This method could be used to set an arbitrary field of the underlying tag.
`void` | `setTitle(<String> title)` Sets the title information
`void` | `setTrackNumber(<Number> trackNumber)` Sets the track number information.
`void` | `setYear(<Number> year)` Sets the year information.

Constructor Detail

### jala.Mp3.Id3v1

    jala.Mp3.Id3v1(audioObj)

Constructs a new Id3v1 tag from an Mp3 file

Parameters:

`mp3File` -

Method Detail

### copyFrom

    void copyFrom(tag)

Copies standard fields from another tag.

Parameters:

`src` - object with getter methods for fields album, artist, comment, title, trackNumber, genre and year.

### getAlbum

    String getAlbum()

Returns the album information of the tag.

Returns:

string containing album name

### getArtist

    String getArtist()

Returns the artist information of the tag.

Returns:

string containing artist name

### getAudio

    jala.Mp3 getAudio()

Returns the wrapper for the underlying audio file.

### getComment

    String getComment()

Returns the comment information of the tag.

Returns:

string containing comment

### getGenre

    String getGenre()

Returns the genre information of the tag.

Returns:

string containing genre name

### getJavaObject

    org.farng.mp3.id3.AbstractID3v1 getJavaObject()

Returns the java representation of the tag, class depends on the actual library used.

### getTextContent

    Object getTextContent(<String> id)

This method could be used to retrieve an arbitrary field of the underlying tag. For Id3v1 tags all information is available through getter and setter methods, so this implementation always returns null.

Parameters:

`id` -

Returns:

null

### getTitle

    String getTitle()

Returns the title information of the tag.

Returns:

string containing title

### getTrackNumber

    String getTrackNumber()

Returns the track number information of the tag.

Returns:

string representing track number or null if tag doesn't contain a track number.

### getYear

    String getYear()

Returns the year information of the tag.

Returns:

string representing year

### setAlbum

    void setAlbum(<String> album)

Sets the album information.

Parameters:

`album` -

### setArtist

    void setArtist(<String> artist)

Sets the artist information.

Parameters:

`artist` -

### setComment

    void setComment(<String> comment)

Sets the comment

Parameters:

`comment` -

### setGenre

    void setGenre(<String> genre)

Sets the genre information. A list of genre names that are valid for ID3v1 tags is located in jala.Mp3.GENRES.

Parameters:

`genre` -

### setTextContent

    void setTextContent(<String> id, val)

This method could be used to set an arbitrary field of the underlying tag. For Id3v1 tags all information is available through getter and setter methods, so this implementation does nothing.

Parameters:

`id` -

`value` -

### setTitle

    void setTitle(<String> title)

Sets the title information

Parameters:

`title` -

### setTrackNumber

    void setTrackNumber(<Number> trackNumber)

Sets the track number information.

Parameters:

`trackNumber` -

### setYear

    void setYear(<Number> year)

Sets the year information.

Parameters:

`year` -

Overview | File | Class | Tree | Index | Help
| Jala 1.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Documentation generated by JSDoc on Tue Jan 8 15:45:31 2008